Skip to content
GET /unified/ads/campaigns

Query Parameters

Refer Specifying query parameters in Truto APIs

account_idstring

The unique identifier for the account.

3 supported3 required
Google Ads
required
LinkedIn
required
Meta Marketing API
required
start_timestring · date-time

The start time for the campaign.

2 supported
Google Ads
supported
Meta Marketing API
supported
end_time
1 supported
Google Ads
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Campaigns

idstring
required·

The unique identifier for the campaign.

3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
account_idstring

The unique identifier for the account.

2 supported
Google Ads
supported
Meta Marketing API
supported
bid_strategyobject

The bid strategy for the campaign.

2 supported
Google Ads
supported
Meta Marketing API
supported
2 properties
idstring

The unique identifier for the bid strategy.

namestring

The name of the bid strategy.

Possible values:
lowest_cost_without_caplowest_cost_with_bid_capcost_cap
budgetobject

The budget for the campaign.

3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
7 properties
daily_maxstring

The daily max budget for the campaign.

idstring

The unique identifier for the budget.

is_rebalance_enabledboolean

Whether budget rebalancing is enabled for the campaign.

is_scheduling_enabledboolean

Whether budget scheduling is enabled for the campaign.

is_sharedboolean

Whether the budget is shared for the campaign with other campaigns.

lifetime_maxstring

The max budget for the campaign.

remainingstring

The remaining budget for the campaign.

buying_typestring

The buying type for the campaign.

Possible values:
auctionreserved
1 supported
Meta Marketing API
supported
created_atstring · date-time

The date and time the campaign was created.

2 supported
LinkedIn
supported
Meta Marketing API
supported
labelsobject[]

The labels for the campaign.

2 supported
Google Ads
supported
Meta Marketing API
supported
2 properties
idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the campaign.

3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
objectivestring

The objective of the campaign.

Possible values:
app_installsbrand_awarenessconversionsvisitsjob_applicationsevent_responseslead_generationlink_clickslocal_awarenessmessagesoffer_claimsoutcome_app_promotion+ 11 more
2 supported
LinkedIn
supported
Meta Marketing API
supported
primary_attributionstring

The primary attribution for the campaign.

1 supported
Meta Marketing API
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

special_ad_categoriesstring[]

The special ad categories for the campaign.

1 supported
Meta Marketing API
supported
Possible values:
creditemploymenthousingnonepoliticalsocial_issues
special_ad_categorystring

The special ad category for the campaign.

Possible values:
creditemploymenthousingnonepoliticalsocial_issues
1 supported
Meta Marketing API
supported
spendobject

The spend for the campaign.

1 supported
Meta Marketing API
supported
2 properties
cap_enabledboolean

Whether the cap is enabled for the campaign.

max_capstring

The max cap spend for the campaign.

start_timestring · date-time

The start time for the campaign.

2 supported
Google Ads
supported
Meta Marketing API
supported
statusstring

The status of the campaign.

Possible values:
activeinactivedraftpauseddeletedarchivedin_processwith_issuescompletedcanceledpending_deletion
3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
stop_timestring · date-time

The stop time for the campaign.

2 supported
Google Ads
supported
Meta Marketing API
supported
typestring

The type of the campaign

1 supported
LinkedIn
supported
updated_atstring · date-time

The date and time the campaign was last updated.

2 supported
LinkedIn
supported
Meta Marketing API
supported
curl -X GET 'https://api.truto.one/unified/ads/campaigns?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/campaigns?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/campaigns"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ads',
  'campaigns',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ads",
        "campaigns",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())